import React, { ComponentPropsWithoutRef } from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type PopoverContentProps = PropsWithMetadata<{
    className?: string;
    popoverRef: React.Ref<HTMLDivElement>;
    style?: ComponentPropsWithoutRef<'div'>['style'];
    selectTriggerRef?: React.RefObject<HTMLElement>;
    children?: React.ReactNode;
}>;
declare const PopoverContent: {
    ({ className, metadata, children, popoverRef, style, }: PopoverContentProps): JSX.Element | null;
    displayName: string;
};
export default PopoverContent;
